[subversion-commit] SVN tex-common commit + diffs: r1799 - tex-common/trunk/scripts

Frank Küster frank at costa.debian.org
Thu Oct 12 16:22:43 UTC 2006


Author: frank
Date: 2006-10-12 16:22:43 +0000 (Thu, 12 Oct 2006)
New Revision: 1799

Modified:
   tex-common/trunk/scripts/debianize-updmap
Log:
no, syncwithtrees doesn't work without a hell lot of new code to
conditionally copy files to the user's updmap.d  It could work in
syswidemode, but let's instead just stop with an error, except if the
user types in the magic.


Modified: tex-common/trunk/scripts/debianize-updmap
===================================================================
--- tex-common/trunk/scripts/debianize-updmap	2006-10-12 16:04:32 UTC (rev 1798)
+++ tex-common/trunk/scripts/debianize-updmap	2006-10-12 16:22:43 UTC (rev 1799)
@@ -485,14 +485,12 @@
 }
 
 ###############################################################################
-# syncWithTreesInner(cnfFile)
+# syncWithTreesInner()
 #   update the config file: uncomment all lines which refer to map files that
 #   are unavailabe in the texmf trees
 ###############################################################################
 syncWithTreesInner()
 {
-  cnfFile="$1"
-
   for i in `egrep '^(Mixed)?Map' "$cnfFile" | sed 's at .* @@'`; do
     kpsewhich --format=map "$i" >/dev/null || echo "$i"
   done > $tmp1
@@ -503,21 +501,32 @@
   sed -f $tmp2 "$cnfFile" > $tmp3 && cat $tmp3 > "$cnfFile"
 }
 
+
+
 ###############################################################################
 # syncWithTrees()
-#   update the config file: uncomment all lines which refer to map files that
-#   are unavailabe in the texmf trees
-#   Do it the Debian way.
+#   Print a big fat warning.
 ###############################################################################
 syncWithTrees(){
-  DebianConffilelist=`createDebianConffilelist`
-  
-  for cnfFile in $DebianConffilelist; do
-    syncWithTreesInner $cnfFile
-  done
-  
-  runUpdate
-  reExecSelf
+  echo "Warning!"
+  echo ""
+  echo "In Debian, updmap.cfg, the font configuration file, is a generated file."
+  echo "Therefore, using --syncwithtrees will not work, since changes will be"
+  echo "overwritten."
+  echo ""
+  echo "If you know what you are doing, you can proceed, e.g. in order to compare"
+  echo "the synchronized file with the old generated one."
+  echo ""
+  echo "If you want to proceed, type 'Yes, I know what I am doing!'"
+
+  read line
+  if [ "$line" = "Yes, I know what I am doing!" ]; then
+    syncWithTreesInner
+  else
+    echo ""
+    echo "Exiting."
+    exit 1
+  fi
 }
 
 ###############################################################################
@@ -533,6 +542,6 @@
   echo ""
   echo "Instead of editing, you will now be shown updmap.cfg in a pager."
   
-  sensible-pager $cnfFile;;
+  sensible-pager $cnfFile
 
 }
\ No newline at end of file




More information about the Pkg-tetex-commits mailing list